import "scaling.asy" as scaling;

real a = height*7/12;
real b = a/2;
real angle = 60;

real slash_a = a/11;
real slash_b = b*5/8;
real slash_angle = angle-15;

real slash_spacing = a*5/12;

pair center = (0,0);

path loaf = (center+a*dir(angle))..(center+b*dir(angle+90))..(center+a*dir(angle+180))..(center+b*dir(angle+270))..cycle;

path slash = (center+slash_b*dir(slash_angle+90))..(center+slash_a*dir(slash_angle+180))..(center+slash_b*dir(slash_angle+270))&(center+slash_b*dir(slash_angle+270))..(center+slash_a*dir(slash_angle))..(center+slash_b*dir(slash_angle+90))&cycle;

path[] bread = loaf^^slash^^(shift(slash_spacing*dir(angle))*slash)^^(shift(slash_spacing*dir(angle+180))*slash);
